package com.gyee.wisdom.common.data.timeseries;

import lombok.Data;

/**
 * @author songwb<songwb@aliyun.com>
 */
@Data
public class BasicTsPoint implements TsPoint{

    private final String id;

    private  TsDataType tsDataType;

    private  String thingId;

    private  String thingType;

    private  String uniformCode;

    public BasicTsPoint(String id,  TsDataType tsDataType) {
        this.id = id;
        this.tsDataType = tsDataType;
    }
    @Override
    public String getId() { return id; }
    @Override
    public TsDataType getTsDataType() {return tsDataType; }

    @Override
    public String getUniformCode(){
       return uniformCode;
    }


    @Override
    public String getThingId(){
        return thingId;
    }

    @Override
    public String getThingType(){
        return getThingType();
    }
    @Override
    public String toString() {
        return "BasicTsPoint{id='" + id +
                "', dataType='" + this.getTsDataType() +
                "'}";
    }



}

